@Echo off

if "%~1"=="" (
  Echo Hinweis kein Quellverzeichniss angegeben
  Echo keine Aenderungen vorgenommen
  Echo Abbruch der Operation
  Pause
  goto :eof
)

rem Path anpassen
set Z_LP=%~DP0%
set Path=%Z_LP%;%Path%

rem Verzeichniss name aus Name Extrahieren
set T_P=%~N1%

rem Ziel Root + Teilpath
set Z_LP=%~DP0%
set Z_LP=%Z_LP%%T_P%

rem Quelle Root + Teilpath
set Q_LP=%~DP1%
set Q_LP=%Q_LP%%T_P%


Echo. Sync
Echo nach Quelle: "%Q_LP%"
Echo von Ziel   : "%Z_LP%"

Echo Abbruch mit Ctrg+C
pause

set toRun=robocopy "%Q_LP%" "%Z_LP%" /E /r:0 /w:0 /mir
title %toRun%
%toRun%
pause

